Bug 1086147 - Improved Ivy Packaging
Summary: Improved Ivy Packaging
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF21 SelfContainedChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-10 08:42 UTC by Jaroslav Reznik
Modified: 2014-12-08 15:22 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-08 15:22:30 UTC
simon.richard.clark: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-04-10 08:42:35 UTC
This is a tracking bug for Change: Improved Ivy Packaging
For more details, see: http://fedoraproject.org//wiki/Changes/ImprovedIvyPackaging

This change aims at improving the way of packaging Java software, which uses Apache Ivy to manage build dependencies.

Comment 1 Jaroslav Reznik 2014-07-04 10:43:42 UTC
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 2 Mikolaj Izdebski 2014-07-08 10:19:12 UTC
This feature is implemented and documented.

Comment 3 Jaroslav Reznik 2014-10-07 12:23:52 UTC
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 4 Simon Clark 2014-10-25 11:31:35 UTC
I have drafted the F21 release notes entry for this change (mainly text from the F21 Changes wiki pages).  Please would you take a look at https://git.fedorahosted.org/cgit/docs/release-notes.git/tree/en-US/Development_Java.xml and let me know if it is OK or if anything needs to be added or changed.

Thanks.

Comment 5 Mikolaj Izdebski 2014-10-29 09:17:55 UTC
I would change wording a bit. In the change proposal "currently" refers to "before this change is implemented", but for person reading release notes it would sound as "in Fedora 21".

What about something like:

"The way of packaging Java software that uses Apache Ivy to manage build dependencies was improved in a simillar way to Maven packaging update in previous Fedora releases. In particular, the following improvements have been implemented: [...]"

Comment 6 Simon Clark 2014-10-29 12:42:45 UTC
Thank you for your feedback, Mikolaj. I have revised the release notes entry to incorporate your suggestion.

https://git.fedorahosted.org/cgit/docs/release-notes.git/tree/en-US/Development_Java.xml

Comment 7 Mikolaj Izdebski 2014-10-29 12:45:35 UTC
Thanks, it looks good for me now.


Note You need to log in before you can comment on or make changes to this bug.